; MGS動画用検索設定
;  https://www.mgstage.com/

[generic]

SiteName=MGS
TopPage=https://www.mgstage.com/

;MGSに関してはCookieの付加でトップページに入りなおすので、リンク先がトップページなっている
AgeCheckURL=href="([^"]*?\./[^"]*?)"
; MGSは年齢認証にCookieを使うので特別な処理が必要
AgeCheckPrepareScript=MGS_AgeCheck_Prepare.ps1

[search]
1=https://www.mgstage.com/search/search.php?search_word={PRODUCTCODE}

[TitleList.1]

BodyFilter=search_list(.*?)search_param
Regex=href="(?<url>/product/product_detail[^"]*)".*?src="(?<thumburl>[^"]*)"
NextPage=href="([^"]*page={PAGENO}[^"]*)

[Title.1]

; マーカーなし
;Marker=
BodyFilter=class="common_detail_cover"(.*?)detail_right
; 型番、パッケージ画像、発売日
1=<h1.*?>\s+(?<title>.*?)</h1>.*?EnlargeImage.*?href="(?<pkgimgurl>[^"]*)".*?品番.*?<td>(?<productcode>[-a-zA-Z0-9]+[0-9]+).*?</td>
; 発売日
2=配信開始日：.*?(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2}).*?</td>
; メーカー
3=メーカー：.*?<a[^>]*?>(?<seller>[^<]*?)<
; レーベル
4=レーベル：.*?<a[^>]*?>(?<label>[^<]*?)<
; シリーズ
5=シリーズ：.*?<a[^>]*?>(?<series>[^<]*?)<
; 出演者
6=href="[^"]*?cSearch.php\?actor[^>]*?>(?<cast>[^<]*?)</a>
; ジャンル
7=href="[^"]*?cSearch.php\?genre[^>]*?>(?<genre>[^<]*?)</a>
